#
# spec file for package perl-kanku-Compress-Raw-Zlib
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-kanku-Compress-Raw-Zlib
Version:        2.074
Release:        9.1
#Upstream: Artistic-1.0 or GPL-1.0+
%define cpan_name Compress-Raw-Zlib
Summary:        Low-Level Interface to zlib compression library
License:        Zlib AND (GPL-1.0-or-later OR Artistic-1.0)
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Compress-Raw-Zlib/
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The _Compress::Raw::Zlib_ module provides a Perl interface to the _zlib_
compression library (see AUTHOR for details about where to get _zlib_).

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README

%changelog
* Fri Dec 15 2017 FSchreiner@suse.com
- new upstream version 2.76
* Thu Jun  8 2017 fschreiner@suse.de
- rename package to perl-kanku-Compress-Raw-Zlib to avoid package
  to be obsoleted by package perl-5.18
* Mon Feb 20 2017 coolo@suse.com
- updated to 2.074
  see /usr/share/doc/packages/perl-Compress-Raw-Zlib/Changes
    2.074 19 Feb 2017
  * Fix bad 2.073 release
    2.073 18 Feb 2017
  * Zlib.xs
    Comment out unused variables & remove C++-ism
    [#120272]: [PATCH] Unbreak compilation
* Mon Feb 13 2017 coolo@suse.com
- updated to 2.072
  see /usr/share/doc/packages/perl-Compress-Raw-Zlib/Changes
    2.072 12 Feb 2017
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
  * zlib-src
    [#120207]: inflateUndermine: subvert arg conditionally used/unused
  * zlib-src
    [#112829]: two gcc6-found problems
  * fix deflateParams for zlib > 1.2.8
    [#119762]: Tests broken with zlib-1.2.10
    2.071 30 Dec 2016
  * #119580 (inflate.c: One (last?) compilation warning)
    Identical issue reeported in upstream zlib
    https://github.com/madler/zlib/issues/111
    Fix checked into zlib dev codeline via
    https://github.com/madler/zlib/commit/2edb94a3025d288dc251bc6cbb2c02e60fbd7438
* Fri Dec 30 2016 coolo@suse.com
- updated to 2.070
  see /usr/share/doc/packages/perl-Compress-Raw-Zlib/Changes
    2.070 28 Dec 2016
  * #107642: compilation warning from inflate.c
  * #119007: [PATCH] Wrong FLAG_APPEND logic analog to Bzip2
* Tue Oct  6 2015 coolo@suse.com
- updated to 2.069
  see /usr/share/doc/packages/perl-Compress-Raw-Zlib/Changes
    2.069 26 Sept 2015
  * reduce compiler warnings and stderr noise
    [#101341]
  * amigaos4: cpan/Compress-Raw-Zlib: also __amigaos4__
    [#106799]
  * const all global data
    https://github.com/madler/zlib/commit/82e9dc60932bf2ce5422a5e76e66e5a05abd26e3
    [#101298]
  * Coverity finding: Unused value
    https://github.com/madler/zlib/commit/9859a94c1002484ee5f824c05683a5b2484cbf49
    [105414]
  * Coverity findings
    [102399]
  * Coverity finding: Overlapping buffer in memory copy
    [105413]
* Wed Dec 24 2014 jnweiger@gmail.com
- update to 2.068 10 Dec 2014
  * Silence more compiler warnings
  * Disable running of 07bufsize.y by default.
    COMPRESS_ZLIB_RUN_MOST needs set to run them. Makes life more
    bearable on legacy platforms
- 2.067 8 Dec 2014
  * Silence compiler warnings
- 2.066 21 Sept 2014
  * Another COW violation [#98069]
  * misleading nesting/indentation (found by Coverity) [#95405]
- 2.065 3 February 2014
  * [PATCH] resolve c++ build failure in core [#92657]
  * gcc -g3: final link failed: Memory exhausted [#88936]
- 2.064 1 February 2014
  * [PATCH] Handle non-PVs better [#91558]
  * Z_OK instead of Z_BUF_ERROR [#92521]
- 2.063 23 October 2013
  * gcc -g3: final link failed: Memory exhausted [#88936]
  * Compress::Raw::Zlib uses AutoLoader for no reason [#88260]
  * Typo in Compress::Zlib _combine function documentation [#89305]
* Mon Oct 14 2013 lars@linux-schulserver.de
- update to 2.062:
  + typo fix [RT#86417]
  + Include zlib 1.2.8 source.
  + typo fix [RT#85431]
  + silence compiler warning by making 2nd parameter to
    DispStream a const char*
  + Mishandling of BUILD_ZLIB=0 option [RT#85492]
  + Mention SimpleZip in POD
  + Copy-on-write support [RT#81353]
  + Compress::Raw::Zlib needs to use PERL_NO_GET_CONTEXT [RT#80319]
  + Install to 'site' instead of 'perl' when perl version is 5.11+
    [RT#79812]
  + update to ppport.h that includes SvPV_nomg_nolen [RT#78079]
  + Fix C++ build issue
  + Fix misuse of magic in API [RT#78079]
* Mon Jun 25 2012 chris@computersalat.de
- update to 2.054
  * Build issue on Win32
    [#77030]
- 2.053 6 May 2012
  * Include zlib 1.2.7 source.
- 2.052 29 April 2012
  * Fixed build issue when Perl is built with C++
- 2.051 20 February 2012
  * Bug in Compress::Raw::Zlib on Windows
    [#75222]
* Wed Feb 22 2012 vcizek@suse.com
- update to 2.050
  * Build failure on Irix & Solaris.
    [RT #69985]
* Mon Feb 20 2012 vcizek@suse.com
- update to 2.049
  * Include zlib 1.2.6 source.
* Tue Jan 31 2012 vcizek@suse.com
- update to 2.048
  * Set minimum zlib version to 1.2.0
  * Allow flush to be called multiple times without any intermediate
    call to deflate and still return Z_OK.
    In the code below $status was Z_BUF_ERROR before this change.
    $def->flush(...);
    $status = $def->flush(...);
  * Added support for zlibCompileFlags
  * Set minimum Perl version to 5.6
* Mon Dec  5 2011 vcizek@suse.com
- update to 2.045
  * Moved FAQ.pod into Zlib.pm
* Wed Nov 30 2011 cfarrell@suse.com
- license update: Zlib and (GPL-1.0+ or Artistic-1.0)
  SPDX and use Zlib instead of BSD-3-Clause
* Mon Nov 21 2011 vcizek@suse.com
- update to 2.043
  - minor changes
* Mon Oct 31 2011 vcizek@suse.com
- update to 2.040
  * croak if attempt to freeze/thaw compression object
    [RT #69985]
* Thu Jun 23 2011 vcizek@novell.com
- update to 2.037
  * small test changes
* Mon Jun 20 2011 jw@novell.com
- changed from bz2 to gz, to make
  /source/devel:languages:perl/_project/_service happy, which would
  abort the build with: "broken: service download_files failed:"
  otherwise.
* Mon Jun 20 2011 jw@novell.com
- updated to 2.036, version needed by perl-IO-Compress
  * Added offset parameter to CRC32
* Wed May 11 2011 vcizek@novell.com
- update to 2.035
  * Almost No Changes
* Fri May  6 2011 vcizek@novell.com
- update to 2.034
- license correction
* Mon Jan 17 2011 vcizek@novell.com
- update to 2.033
  * Fixed typos & spelling errors.
    [perl# 81782]
* Wed Jan 12 2011 vcizek@novell.com
- added Provides: to spec
* Tue Jan 11 2011 vcizek@novell.com
- update to 2.032
  * Document inflateReset [RT #61082]
  * Ran the zlib2ansi script against the files in zlib-src.
  * Added "-DNO_VIZ" to DEFINE in Makefile.PL [RT #65293]
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Jun 25 2010 jw@novell.com
- updated to 2.027
  * Updated to include zlib 1.2.5
  * Fixed definition of Z_TREES in Makefile.PL
  * fixed instance where $[ should have been $] in t/02zlib.t
  * ...
* Thu Jun 18 2009 chris@computersalat.de
- spec fix for perl-macros
* Wed Jun 17 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
* Sun Jun 14 2009 chris@computersalat.de
- update to 2.015
  * Makefile.PL
    Backout changes made in 2.014
- 2.014
  * Makefile.PL
    Updated to check for indirect dependencies.
- 2.012
  * Document the gzip flags that WindowBits can take.
  * Allow a dictionary to be used with a raw inflate.
    Needs zlib 1.2.2.1 or better.
    [RT #36046]
- 2.011
  * A C++-style comment sneaked in with the last update. Fixed.
    [core patch #33828]
- 2.010
  * No Changes
- 2.009
  * No Changes
- 2.008
  * Minor documentation changes in README
- spec mods
- autogen filelist
* Mon Oct  8 2007 anicka@suse.cz
- update to 2.006
  * Makefile.PL: Added INSTALLDIRS directive to install as a core
    module when built on a perl >= 5.9.
* Tue Jul  3 2007 anicka@suse.cz
- update to 2.005
  * Only include ppport.h when not being built with perl.
* Wed Mar  7 2007 anicka@suse.cz
- update to 2.004
  * Fixed lvalue substr issue
  * Remove redundant code from Zlib.xs
* Mon Feb 26 2007 anicka@suse.cz
- package created (initial version 2.003)
